Index: /utils/tools/NESTING/src/agrif_readwrite.f90
===================================================================
--- /utils/tools/NESTING/src/agrif_readwrite.f90	(revision 10024)
+++ /utils/tools/NESTING/src/agrif_readwrite.f90	(revision 10025)
@@ -712,5 +1000,5 @@
     TYPE(Coordinates) :: Grid
     !
-    CALL Read_Ncdf_var('Bathy_level',filename,Grid%Bathy_level)
+    CALL read_ncdf_var('Bathy_level',filename,Grid%Bathy_level)
     ! 
     nx = SIZE(Grid%Bathy_level,1)
@@ -764,8 +1052,4 @@
   END SUBROUTINE get_mask
   !
-  !*****************************************************
-  !   end subroutine get_mask
-  !*****************************************************
-  !       
   !
   !*****************************************************
@@ -803,5 +1087,4 @@
     !
   END SUBROUTINE write_dimg_var
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!             
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
 END MODULE agrif_readwrite
Index: /utils/tools/NESTING/src/agrif_types.f90
===================================================================
--- /utils/tools/NESTING/src/agrif_types.f90	(revision 10024)
+++ /utils/tools/NESTING/src/agrif_types.f90	(revision 10025)
@@ -15,17 +15,17 @@
   TYPE Coordinates
      !
-     REAL*8, DIMENSION(:,:), POINTER :: nav_lon,nav_lat => NULL()
-     REAL*8, DIMENSION(:,:), POINTER :: glamv, glamu, glamt, glamf => NULL()
-     REAL*8, DIMENSION(:,:), POINTER :: gphit, gphiu, gphiv, gphif => NULL()
-     REAL*8, DIMENSION(:,:), POINTER :: e1t, e1u, e1v, e1f => NULL()
-     REAL*8, DIMENSION(:,:), POINTER :: e2t, e2u, e2v, e2f => NULL()
-     REAL*8, DIMENSION(:,:), POINTER :: bathy_level => NULL()
-     REAL*8, DIMENSION(:,:), POINTER :: bathy_meter => NULL()
-     REAL*8, DIMENSION(:,:), POINTER :: wgt => NULL()
-     REAL*8, DIMENSION(:,:,:),POINTER :: fmask,umask,vmask,tmask => NULL()
-     REAL*8, DIMENSION(:,:,:),POINTER :: e3t_ps,e3w_ps,gdept_ps,gdepwps => NULL()
-     REAL*8, DIMENSION(:,:),POINTER :: gdepw_ps => NULL()
-     REAL*8, DIMENSION(:), POINTER :: gdeptht => NULL()
-     INTEGER, DIMENSION(:) , POINTER :: time_steps => NULL()
+     REAL*8,  DIMENSION(:,:),  POINTER :: nav_lon, nav_lat => NULL()
+     REAL*8,  DIMENSION(:,:),  POINTER :: glamv, glamu, glamt, glamf => NULL()
+     REAL*8,  DIMENSION(:,:),  POINTER :: gphit, gphiu, gphiv, gphif => NULL()
+     REAL*8,  DIMENSION(:,:),  POINTER :: e1t, e1u, e1v, e1f => NULL()
+     REAL*8,  DIMENSION(:,:),  POINTER :: e2t, e2u, e2v, e2f => NULL()
+     REAL*8,  DIMENSION(:,:),  POINTER :: bathy_level => NULL()
+     REAL*8,  DIMENSION(:,:),  POINTER :: bathy_meter => NULL()
+     REAL*8,  DIMENSION(:,:),  POINTER :: wgt => NULL()
+     REAL*8,  DIMENSION(:,:,:),POINTER :: fmask, umask, vmask, tmask => NULL()
+     REAL*8,  DIMENSION(:,:,:),POINTER :: e3t_ps, e3w_ps, gdept_ps, gdepwps => NULL()
+     REAL*8,  DIMENSION(:,:),  POINTER :: gdepw_ps => NULL()
+     REAL*8,  DIMENSION(:),    POINTER :: gdeptht => NULL()
+     INTEGER, DIMENSION(:) ,   POINTER :: time_steps => NULL()
      !     
   END TYPE Coordinates
@@ -33,5 +33,5 @@
   !
   !
-  CHARACTER*8,DIMENSION(10) :: flxtab = (/'socliot1','socliot2','socliopl',&
+  CHARACTER*8,DIMENSION(10) :: flxtab = (/'socliot1','socliot2','socliopl', &
        'socliocl','socliohu','socliowi','soshfldo','sohefldo','sowaflup','sofbt   '/)
   !
@@ -41,53 +41,52 @@
   !**************************************************************
   !
-  INTEGER irafx,irafy
-  INTEGER nxfin,nyfin
-  INTEGER, PARAMETER :: nbghostcellsfine = 3 
-  INTEGER, PARAMETER :: nbghostcellscoarse = 1
-  !      
-  INTEGER imin,jmin,imax,jmax,rho,rhot
-  INTEGER shlat
-  INTEGER N,type_bathy_interp
+  INTEGER ::   irafx, irafy
+  INTEGER ::   nxfin, nyfin
+  !      
+  INTEGER ::   nbghostcellsfine, imin, jmin, imax, jmax, rho, rhot
+  INTEGER ::   shlat
+  INTEGER ::   N, type_bathy_interp
   ! 
-  INTEGER jpizoom,jpjzoom,npt_connect,npt_copy
-  !      
-  REAL*8 rn_hmin
-  REAL*8 ppkth2, ppacr2, ppkth,ppacr,ppdzmin,pphmax,smoothing_factor,e3zps_min,e3zps_rat
-  REAL*8 psur,pa0,pa1,pa2,adatrj
+  INTEGER ::   jpizoom, jpjzoom, npt_connect, npt_copy
+  !      
+  REAL*8 ::   rn_hmin
+  REAL*8 ::   ppkth2, ppacr2, ppkth, ppacr, ppdzmin, pphmax, smoothing_factor, e3zps_min, e3zps_rat
+  REAL*8 ::   psur, pa0, pa1, pa2, adatrj
   !       
-  LOGICAL ldbletanh,ln_e3_dep
-  LOGICAL partial_steps,smoothing,bathy_update
-  LOGICAL new_topo,removeclosedseas,dimg,iom_activated
+  LOGICAL ::   ldbletanh, ln_e3_dep
+  LOGICAL ::   partial_steps, smoothing, bathy_update
+  LOGICAL ::   new_topo, removeclosedseas, dimg, iom_activated
+  LOGICAL ::   ln_agrif_domain
   !       
-  CHARACTER*100 parent_meshmask_file,elevation_database,parent_bathy_meter
-  CHARACTER*100 elevation_name,parent_batmet_name
-  CHARACTER*100 parent_coordinate_file,restart_file,updated_parent_file,restart_trc_file
-  CHARACTER*100 dimg_output_file,interp_type
-  !      
-  CHARACTER(len=80),DIMENSION(20) :: flx_Files, u_files, v_files
-  CHARACTER(len=255),DIMENSION(20) :: VAR_INTERP
+  CHARACTER*100 ::   parent_meshmask_file, elevation_database, parent_bathy_meter, parent_domcfg_output
+  CHARACTER*100 ::   elevation_name, parent_batmet_name
+  CHARACTER*100 ::   parent_coordinate_file, restart_file, updated_parent_file, updated_parent_domcfg, restart_trc_file
+  CHARACTER*100 ::   dimg_output_file, interp_type
+  !      
+  CHARACTER(len=80) , DIMENSION(20) :: flx_Files, u_files, v_files
+  CHARACTER(len=255), DIMENSION(20) :: VAR_INTERP
   !
   NAMELIST /input_output/iom_activated
   !
-  NAMELIST /coarse_grid_files/parent_coordinate_file,parent_meshmask_file
-  !      
-  NAMELIST /bathymetry/new_topo,elevation_database,elevation_name,smoothing,smoothing_factor, &
-       npt_connect,npt_copy,removeclosedseas,type_bathy_interp,rn_hmin      
-  !      
-  NAMELIST /nesting/imin,imax,jmin,jmax,rho,rhot,bathy_update,updated_parent_file      
-  !
-  NAMELIST /vertical_grid/ppkth,ppacr,ppdzmin,pphmax,psur,pa0,pa1,N,ldbletanh,ln_e3_dep,pa2,ppkth2,ppacr2
+  NAMELIST /coarse_grid_files/parent_coordinate_file, parent_meshmask_file, parent_domcfg_output
+  !      
+  NAMELIST /bathymetry/new_topo, elevation_database, elevation_name, smoothing, smoothing_factor,  &
+                       ln_agrif_domain, npt_connect, npt_copy, removeclosedseas, type_bathy_interp, rn_hmin      
+  !      
+  NAMELIST /nesting/nbghostcellsfine, imin, imax, jmin, jmax, rho, rhot, bathy_update, updated_parent_file, updated_parent_domcfg      
+  !
+  NAMELIST /vertical_grid/ppkth, ppacr, ppdzmin, pphmax, psur, pa0, pa1, N, ldbletanh, ln_e3_dep, pa2, ppkth2, ppacr2
   ! 
-  NAMELIST /partial_cells/partial_steps,parent_bathy_meter,parent_batmet_name,e3zps_min,e3zps_rat      
-  !
-  NAMELIST /nemo_coarse_grid/ jpizoom,jpjzoom 
+  NAMELIST /partial_cells/partial_steps, parent_bathy_meter, parent_batmet_name, e3zps_min, e3zps_rat      
+  !
+  NAMELIST /nemo_coarse_grid/ jpizoom, jpjzoom 
   !          
-  NAMELIST /forcing_files/ flx_files, u_files, v_files 
+  NAMELIST /forcing_files/ flx_files,  u_files,  v_files 
   !           
   NAMELIST /interp/ VAR_INTERP
   !      
-  NAMELIST /restart/ restart_file,shlat,dimg,dimg_output_file,adatrj,interp_type 
-
-  NAMELIST /restart_trc/ restart_trc_file,interp_type 
+  NAMELIST /restart/ restart_file, shlat, dimg, dimg_output_file, adatrj, interp_type 
+
+  NAMELIST /restart_trc/ restart_trc_file, interp_type 
   !
 CONTAINS
@@ -102,8 +101,8 @@
   !********************************************************
   !       
-  SUBROUTINE agrif_grid_allocate(Grid,nx,ny)
+  SUBROUTINE agrif_grid_allocate(Grid, nx, ny)
     !
     TYPE(Coordinates) :: Grid
-    INTEGER :: nx,ny
+    INTEGER :: nx, ny
     !
     ALLOCATE(Grid%nav_lon(nx,ny),Grid%nav_lat(nx,ny))
@@ -175,11 +174,17 @@
        jmax = jmax + jpjzoom - 1
        !
-       nxfin = (imax-imin)*irafx+2*nbghostcellsfine+2
-       nyfin = (jmax-jmin)*irafy+2*nbghostcellsfine+2
+       IF( ln_agrif_domain ) THEN
+          nxfin = (imax-imin)*irafx+2*nbghostcellsfine+2
+          nyfin = (jmax-jmin)*irafy+2*nbghostcellsfine+2
+       ELSE
+          nbghostcellsfine = 0
+          nxfin = (imax-imin+1)*irafx
+          nyfin = (jmax-jmin+1)*irafy
+       ENDIF
        !
     ELSE
        !
        PRINT *,'namelist file ''',TRIM(namelistname),''' not found'
-       STOP	 
+       STOP 
        !
     END IF
